# Class JFile

java.lang.Object
org.apache.jute.compiler.JFile

public class JFile extends Object
Container for the Hadoop Record DDL. The main components of the file are filename, list of included files, and records defined in that file.

## Constructor Summary

Constructors
Constructor
Description
`JFile(String name, ArrayList<JFile> inclFiles, ArrayList<JRecord> recList)`
Creates a new instance of JFile.

## Method Summary

Modifier and Type
Method
Description
`void`
`genCode(String language, File outputDirectory)`
Generate record code in given language.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JFile

public JFile(String name, ArrayList<JFile> inclFiles, ArrayList<JRecord> recList)
Creates a new instance of JFile.

Parameters:
  `name` - possibly full pathname to the file
  `inclFiles` - included files (as JFile)
  `recList` - List of records defined within this file

## Method Details

### genCode

public void genCode(String language, File outputDirectory) throws IOException
Generate record code in given language. Language should be all lowercase.

Parameters:
  `outputDirectory` -
Throws:
  `IOException`